# Development Testing

Development testing is achieved by interrupting the "clean-up" stage of the CI pipeline.

Effectively this is like a manual "pause" that will leave the vagrant environment installed on the gitlab runner host.

# Accessing the Environment

The environent can be accessed via SSH tunnels as opposed to accessing it from the gitlab runner steps.

# Utilities

In this directory you find scripts to query libvirt and congure the SSH tunnels, sample congiruation files 
to setup DNS redirections, and alternative invetory to the environment with different entrypoints and the 
playbooks, which are mainly sym-linked to the CI environment.

- start_tunnel.sh : will setup the ssh tunnels to the hosts forming the ACS deployment, and start them up. ACS will
take some time to start up, check the logs if needed.
- launch_test.sh : will run ansible tests on the ACS deployment
- console*.sh : scripts to access ACS hosts via their dedicated SSH tunnels.
- dev-deploy*.sh : re-deploy ansible collections to this directory (useful for ansible collection development)